/// totalRecord : 9
/// isSuccess : true
/// errorMesssage : null
/// Data : [{"id":1,"title":"Gina Dav","number":"102","unit":"Follows"},{"id":2,"title":"Mario Onss","number":"102","unit":"Follows"},{"id":3,"title":"Club Car","number":"102","unit":"Members"},{"id":4,"title":"Page Car","number":"125","unit":"Follows"}]
/// message : null

class ListCommunityResponse {
  ListCommunityResponse({
      int? totalRecord, 
      bool? isSuccess, 
      dynamic errorMesssage, 
      List<CommunityData>? data,
      dynamic message,}){
    _totalRecord = totalRecord;
    _isSuccess = isSuccess;
    _errorMesssage = errorMesssage;
    _data = data;
    _message = message;
}

  ListCommunityResponse.fromJson(dynamic json) {
    _totalRecord = json['totalRecord'];
    _isSuccess = json['isSuccess'];
    _errorMesssage = json['errorMesssage'];
    if (json['Data'] != null) {
      _data = [];
      json['Data'].forEach((v) {
        _data?.add(CommunityData.fromJson(v));
      });
    }
    _message = json['message'];
  }
  int? _totalRecord;
  bool? _isSuccess;
  dynamic _errorMesssage;
  List<CommunityData>? _data;
  dynamic _message;

  int? get totalRecord => _totalRecord;
  bool? get isSuccess => _isSuccess;
  dynamic get errorMesssage => _errorMesssage;
  List<CommunityData>? get data => _data;
  dynamic get message => _message;

  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    map['totalRecord'] = _totalRecord;
    map['isSuccess'] = _isSuccess;
    map['errorMesssage'] = _errorMesssage;
    if (_data != null) {
      map['Data'] = _data?.map((v) => v.toJson()).toList();
    }
    map['message'] = _message;
    return map;
  }

}

/// id : 1
/// title : "Gina Dav"
/// number : "102"
/// unit : "Follows"

class CommunityData {
  CommunityData({
      int? id, 
      String? title, 
      String? number, 
      String? unit,}){
    _id = id;
    _title = title;
    _number = number;
    _unit = unit;
}

  CommunityData.fromJson(dynamic json) {
    _id = json['id'];
    _title = json['title'];
    _number = json['number'];
    _unit = json['unit'];
  }
  int? _id;
  String? _title;
  String? _number;
  String? _unit;

  int? get id => _id;
  String? get title => _title;
  String? get number => _number;
  String? get unit => _unit;

  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    map['id'] = _id;
    map['title'] = _title;
    map['number'] = _number;
    map['unit'] = _unit;
    return map;
  }

}